import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class StationaryActorBase here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class StationaryActorBase extends ActorBase
{
    public int scrollX; //The variable used when scrolling.

    public StationaryActorBase()
    {
        scrollX = 0;
    }
    
    public void act()
    {
        super.act();
        scrollingMethods();
    }

    /**
     * Used for setting the actor's location.
     */
    public void setLocation()
    {
        setLocation(getX() + scrollX, getY());
    }
    
    /**
     * This is used for responding to keyboard input by the user.
     * This will only happen when the player is far enough to the left or right of the screen for scrolling to be needed.
     * @param How fast the scrolling should be. 3-4 is recommended. If a negative value is used, the controls will be inverted.
     */
    public void checkKeyPress(int amount)
    {        
        if(Greenfoot.isKeyDown("left") && shouldScroll == true)
        {
            scrollX = amount;
        }
        else if(Greenfoot.isKeyDown("right") && shouldScroll == true)
        {
            scrollX = -amount;
        }
        else
        {
            scrollX = 0;
        }
    }
    
    /**
     * A call to the following should be in all scrolling actor's act methods.
     */
    public void scrollingMethods()
    {
        checkKeyPress(8);
        setLocation();
    }
}
